fluent-plugin-wendelin
======================

This is output plugin for [Fluentd][] to forward data to [Wendelin][] system.

[Fluentd]:  http://fluentd.org/
[Wendelin]: http://wendelin.io/


Configuration
-------------

A sample configuration to setup ingestion of data for a tag to Wendelin:

```
<match your.sensor.tag>
  @type wendelin
  @id wendelin_out

  streamtool_uri    <Wendelin_URL>/erp5/portal_ingestion_policies/<YOUR_INGESTION_POLICY_ID>
  user      <your_wendelin_user>
  password  <your_wendelin_password>
  use_keep_alive  <true or false>

  <buffer>
    # For setting the behaviour of the buffer a wide range of parameters
    # are available. The description for the parameters can be found in
    # the fluentd documentation:
    #   https://docs.fluentd.org/output#buffering-retrying-parameters
    flush_mode interval
    flush_interval 5s
    @type memory
    path "#{ENV['HOME']/var}"
  </buffer>
</match>
```

See *example/to_wendelin.conf* for fully setup example.


TODO
----

- HTTPS certificates are currently not verified.
- X.509 certificates instead of user / password.
- cleanup
